<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<sounds xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../../shared/xml/schema/vehicle_sounds.xsd">
    <motorized>
        <sounds>
            <motor template="engineMedium" file="$data/vehicles/rigitrac/skh60/sounds/skh60.gls" linkNodeOffset="-0.6 1.0 -0.3" pitchScale="1" volumeScale="2.5" >
                <volume outdoor="1.0" indoor="0.65"/>
            </motor>
            <motor  template="fanModern_02" volumeScale="2" linkNodeOffset="-0.9 0.8 0" />
            <motor template="transmissionModern_11" linkNode="wheelBackLeft"  isLocalSound="true"/>
            <motor template="transmissionModern_11" linkNode="wheelBackRight" pitchScale="0.9"/>
            <motor template="cabinTractor_01" volumeScale="3.4" pitchScale="1" linkNodeOffset="0.8 1.5 -0.2" isLocalSound="true"/>
            <motor template="cabinTractor_01" volumeScale="3.4" pitchScale="1.1" linkNodeOffset="0 1.5 -0.2"  isLocalSound="true"/>
            <motor template="indoorCabinRumble" volumeScale="16" pitchScale="1.0" linkNodeOffset="0.8 1.2 -0.2" />
            <motor template="indoorCabinRumble" volumeScale="16" pitchScale="1.3" linkNodeOffset="0 1.2 -0.2" />
            <airCompressorRun template="brakeCompressorMedium" linkNodeOffset="0 1.7 1.7" volumeScale="4.5"/>
        </sounds>
    </motorized>

    <enterable>
        <sounds>
            <rain template="rainInVehicle"  linkNodeOffset="0.5 1.8 -0.36" volumeScale="2">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="40.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="40" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="15" modifiedValue="1" />
                    <modifier type="SPEED" value="40" modifiedValue="1.0" />
                </pitch>
            </rain>

            <hail template="hailInVehicle"  linkNodeOffset="0.5 1.8 -0.36" volumeScale="1.5">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="42.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="42" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="42" modifiedValue="1.0" />
                </pitch>
            </hail>
        </sounds>
    </enterable>

    <lights>
        <sounds>
            <toggleLights template="switch01"  />
            <turnLight template="switchTurnlight"  />
        </sounds>
    </lights>

    <attacherJoints>
        <sounds>
            <attach template="attach01" />
            <hydraulic template="hydraulicOpen02" />
        </sounds>
    </attacherJoints>

    <drivable>
        <sounds>
            <waterSplash template="waterSplash01" />
        </sounds>
    </drivable>

    <ai>
        <automaticSteering>
            <sounds>
                <engage template="gpsEngageDefault"/>
                <disengage template="gpsDisengageDefault"/>
                <lineEnd template="gpsLineEndDefault"/>
            </sounds>
        </automaticSteering>
    </ai>

    <honk>
        <sound template="hornRigitracSkh75" volumeScale="2"/>
    </honk>
</sounds>